Skip to main content

Account History

This endpoint returns account transaction rows, an optional total count, and a resume_token for pagination.

Network
DescRequest body field
Is Action ArgRequest body field
Is Any SignerRequest body field
Is Delegated SignerRequest body field
Is Event LogRequest body field
Is Explicit Refund ToRequest body field
Is Function CallRequest body field
Is PredecessorRequest body field
Is Real ReceiverRequest body field
Is Real SignerRequest body field
Is ReceiverRequest body field
Is SignerRequest body field
Is SuccessRequest body field
FastNear API keyNo saved key
Get API key
Endpointhttps://tx.main.fastnear.com
Authnone detected
Live Response

Responses from the selected endpoint appear here after you run a request.

Live response output will appear here after you run a request.

Request reference

application/json

This operation performs POST /v0/account with an application/json request body.

Required request inputs: yes

POST /v0/account
{
  "account_id": "intents.near",
  "desc": true,
  "is_real_signer": true,
  "is_success": true,
  "limit": 50
}

Request body schema

objectAccountInput
requires account_id
account_id *string
descboolean
from_tx_block_heightinteger
is_action_argboolean
is_any_signerboolean
is_delegated_signerboolean
is_event_logboolean
is_explicit_refund_toboolean
is_function_callboolean
is_predecessorboolean
is_real_receiverboolean
is_real_signerboolean
is_receiverboolean
is_signerboolean
is_successboolean
limitinteger
resume_tokenstring

Default: null

to_tx_block_heightinteger

Response reference

200 application/json

Account history result set

Response schema

objectAccountResponse
requires account_txs, resume_token, txs_count
account_txs *array
itemsobjectAccountTxRow
requires account_id, transaction_hash, tx_block_height, tx_block_timestamp, tx_index, is_signer, is_delegated_signer, is_real_signer, is_any_signer, is_predecessor, is_explicit_refund_to, is_receiver, is_real_receiver, is_function_call, is_action_arg, is_event_log, is_success
account_id *string
is_action_arg *boolean
is_any_signer *boolean
is_delegated_signer *boolean
is_event_log *boolean
is_explicit_refund_to *boolean
is_function_call *boolean
is_predecessor *boolean
is_real_receiver *boolean
is_real_signer *boolean
is_receiver *boolean
is_signer *boolean
is_success *boolean
transaction_hash *string
tx_block_height *integer
tx_block_timestamp *string
tx_index *integer
resume_token *string
txs_count *integer